SynthRadioButtonUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.synth.SynthRadioButtonUI class
Date: 2026-08-19

javax.swing.plaf.synth

## Class SynthRadioButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.synth.SynthButtonUI
        - - javax.swing.plaf.synth.SynthToggleButtonUI
          - - javax.swing.plaf.synth.SynthRadioButtonUI

- All Implemented Interfaces:
    PropertyChangeListener, EventListener, SynthConstants, SynthUI
  Direct Known Subclasses:
    SynthCheckBoxUI

      public class SynthRadioButtonUI
      extends SynthToggleButtonUI

  Provides the Synth L&F UI delegate for `JRadioButton`.
  Since:
    1.7

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

    - ### Fields inherited from interface javax.swing.plaf.synth.SynthConstants

      `DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynthRadioButtonUI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent b)` Creates a new UI object for the given component.
    `protected String` | `getPropertyPrefix()`
    `protected Icon` | `getSizingIcon(AbstractButton b)` Returns the Icon used in calculating the preferred/minimum/maximum size.
    `void` | `paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)` Paints the border.

    - ### Methods inherited from class javax.swing.plaf.synth.SynthButtonUI

      `getBaseline, getContext, getDefaultIcon, getIcon, getMaximumSize, getMinimumSize, getPreferredSize, installDefaults, installListeners, paint, paint, propertyChange, uninstallDefaults, uninstallListeners, update`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaselineResizeBehavior, getDefaultTextIconGap, getTextShiftOffset, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynthRadioButtonUI

          public SynthRadioButtonUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

      Creates a new UI object for the given component.
      Parameters:
        `b` - component to create UI object for
      Returns:
        the UI object

    - #### getPropertyPrefix

          protected String getPropertyPrefix()

      Overrides:
        `getPropertyPrefix` in class `SynthToggleButtonUI`

    - #### getSizingIcon

          protected Icon getSizingIcon(AbstractButton b)

      Returns the Icon used in calculating the preferred/minimum/maximum size.
      Overrides:
        `getSizingIcon` in class `SynthButtonUI`

    - #### paintBorder

          public void paintBorder(SynthContext context,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int w,
                                  int h)

      Paints the border.
      Specified by:
        `paintBorder` in interface `SynthUI`
      Overrides:
        `paintBorder` in class `SynthToggleButtonUI`
      Parameters:
        `context` - a component context
        `g` - `Graphics` to paint on
        `x` - the X coordinate
        `y` - the Y coordinate
        `w` - width of the border
        `h` - height of the border

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.